-- This SWEP was generated by mblunk's swep factory.

SWEP.Base = "weapon_base"

-- Visual/sound settings
SWEP.PrintName		= "(BC)Tactical Pistol"
SWEP.Slot			= 1
SWEP.SlotPos		= 4
SWEP.DrawAmmo		= true
SWEP.DrawCrosshair	= true
SWEP.ViewModelFlip	= false
SWEP.ViewModelFOV	= 64
SWEP.ViewModel		= "models/weapons/v_gistol.mdl"
SWEP.WorldModel		= "models/weapons/v_gistol.mdl"
SWEP.ReloadSound	= "weapons/pistol/pistol_reload1.wav"
SWEP.HoldType		= "pistol"

-- Other settings
SWEP.Weight			= 5
SWEP.AutoSwitchTo	= false
SWEP.AutoSwitchFrom	= false
SWEP.Spawnable		= true
SWEP.AdminSpawnable	= true

-- SWEP info
SWEP.Author			= "Brit Commando"
SWEP.Contact		= "britcommando@hotmail.com"
SWEP.Purpose		= "Because you know you want it!"
SWEP.Instructions	= "Left Click-Semi-Auto        Right Click-Full Auto"

-- Primary fire settings
SWEP.Primary.Sound				= "weapons/pistol/pistol_fire2.wav"
SWEP.Primary.Damage				= 16
SWEP.Primary.NumShots			= 1
SWEP.Primary.Recoil				= 0
SWEP.Primary.Cone				= 1.5
SWEP.Primary.Delay				= 0.01
SWEP.Primary.ClipSize			= 23
SWEP.Primary.DefaultClip		= 800
SWEP.Primary.Tracer				= 1
SWEP.Primary.Force				= 8
SWEP.Primary.TakeAmmoPerBullet	= false
SWEP.Primary.Automatic			= false
SWEP.Primary.Ammo				= "Pistol"

-- Secondary fire settings
SWEP.Secondary.Sound				= ""
SWEP.Secondary.Damage				= 20
SWEP.Secondary.NumShots				= 2
SWEP.Secondary.Recoil				= 0
SWEP.Secondary.Cone					= 3
SWEP.Secondary.Delay				= 0.01
SWEP.Secondary.ClipSize				= -1
SWEP.Secondary.DefaultClip			= 0
SWEP.Secondary.Tracer				= 1
SWEP.Secondary.Force				= 10
SWEP.Secondary.TakeAmmoPerBullet	= false
SWEP.Secondary.Automatic			= true
SWEP.Secondary.Ammo					= ""

-- Hooks

function SWEP:Initialize()
	if ( SERVER ) then
		self:SetWeaponHoldType( self.HoldType )
	end
end

function SWEP:PrimaryAttack()
	if ( !self:CanPrimaryAttack() ) then return end
	local bullet = {}	-- Set up the shot
		bullet.Num = self.Primary.NumShots
		bullet.Src = self.Owner:GetShootPos()
		bullet.Dir = self.Owner:GetAimVector()
		bullet.Spread = Vector( self.Primary.Cone / 90, self.Primary.Cone / 90, 0 )
		bullet.Tracer = self.Primary.Tracer
		bullet.Force = self.Primary.Force
		bullet.Damage = self.Primary.Damage
		bullet.AmmoType = self.Primary.Ammo
	self.Owner:FireBullets( bullet )
	self.Owner:MuzzleFlash()
	self.Weapon:SendWeaponAnim( ACT_VM_PRIMARYATTACK )
	self.Owner:SetAnimation( PLAYER_ATTACK1 )
	self.Weapon:EmitSound(Sound(self.Primary.Sound))
	self.Owner:ViewPunch(Angle( -self.Primary.Recoil, 0, 0 ))
	if (self.Primary.TakeAmmoPerBullet) then
		self:TakePrimaryAmmo(self.Primary.NumShots)
	else
		self:TakePrimaryAmmo(1)
	end
	self:SetNextPrimaryFire( CurTime() + self.Primary.Delay )
end

function SWEP:SecondaryAttack()
end

function SWEP:Think()
end

function SWEP:Reload()
	self.Weapon:DefaultReload(ACT_VM_RELOAD)
	return true
end

function SWEP:Deploy()
	return true
end

function SWEP:Holster()
	return true
end

function SWEP:OnRemove()
end

function SWEP:OnRestore()
end

function SWEP:Precache()
end

function SWEP:OwnerChanged()
end
